@echo off
if "%PROCESSOR_ARCHITECTURE%" == "x86" goto intel
if "%PROCESSOR_ARCHITECTURE%" == "X86" goto intel
if "%PROCESSOR_ARCHITECTURE%" == "ALPHA" goto alpha
if "%PROCESSOR_ARCHITECTURE%" == "MIPS" goto mips
if "%PROCESSOR%" == "INTEL_486" goto intel
if "%PROCESSOR%" == "Alpha_AXP" goto alpha
if "%PROCESSOR%" == "MIPS_R4000" goto mips
if "%CPU%" == "i386" goto intel
if "%CPU%" == "Alpha" goto alpha
if "%CPU%" == "MIPS" goto mips

@echo Your hardware type could not be determined.
@echo To install eXcursion on your Windows NT system,
@echo run SETUP from the directory that corresponds
@echo to your hardware type:
@echo      xcursion\ALPHA\setup.exe
@echo      xcursion\X86\setup.exe (Intel)
@echo      xcursion\MIPS\setup.exe
pause
goto done

:intel
echo Starting XCURSION\X86\SETUP.EXE ...
if exist X86\SETUP.EXE cd X86
if exist XCURSION\X86\SETUP.EXE cd XCURSION\X86
if exist \XCURSION\X86\SETUP.EXE cd \XCURSION\X86
if not exist SETUP.EXE goto notfound
start .\setup
goto done

:alpha
echo Starting XCURSION\ALPHA\SETUP.EXE ...
if exist ALPHA\SETUP.EXE cd ALPHA
if exist XCURSION\ALPHA\SETUP.EXE cd XCURSION\ALPHA
if exist \XCURSION\ALPHA\SETUP.EXE cd \XCURSION\ALPHA
if not exist SETUP.EXE goto notfound
start .\setup
goto done

:mips
echo Starting XCURSION\MIPS\SETUP.EXE ...
if exist MIPS\SETUP.EXE cd MIPS
if exist XCURSION\MIPS\SETUP.EXE cd XCURSION\MIPS
if exist \XCURSION\MIPS\SETUP.EXE cd \XCURSION\MIPS
if not exist SETUP.EXE goto notfound
start .\setup
goto done

:notfound
echo SETUP.EXE not found.
echo Please run eXcursion SETUP from the distribution media.
pause

:done
